Bouncy Castle Cryptography Library 1.85

Package org.bouncycastle.pkcs.jcajce

JCA extensions and operators for the PKCS#10 certification request package.

See:
          Description

Class Summary
JcaPKCS10CertificationRequest JCA-aware extension of PKCS10CertificationRequest that returns the request's public key as a JCA PublicKey.
JcaPKCS10CertificationRequestBuilder Extension of the PKCS#10 builder to support PublicKey and X500Principal objects.
JcaPKCS12SafeBagBuilder JCA-aware extension of PKCS12SafeBagBuilder that accepts standard JCA X509Certificate and PrivateKey inputs.
JcaPKCS8EncryptedPrivateKeyInfoBuilder JCA-aware extension of PKCS8EncryptedPrivateKeyInfoBuilder that accepts a standard PrivateKey as input.
JcePBMac1CalculatorBuilder A builder for RFC 8018 PBE based MAC calculators.
JcePBMac1CalculatorProviderBuilder Builder for a PBEMacCalculatorProvider that vends PBMAC1 (RFC 8018 / RFC 9579) verifier MAC calculators via the JCA.
JcePKCS12MacCalculatorBuilder JCA-based builder for the password-based MAC calculator used to protect the integrity of a PKCS#12 PFX (RFC 7292).
JcePKCS12MacCalculatorBuilderProvider JCA-based PKCS12MacCalculatorBuilderProvider that handles both the legacy PKCS#12 PBE-MAC (RFC 7292) and the RFC 9579 PBMAC1 protection schemes.
JcePKCSPBEInputDecryptorProviderBuilder JCA-based builder for an InputDecryptorProvider that handles the password-based decryption schemes encountered in PKCS#12 / PKCS#8: the legacy family (RFC 7292 Appendix C), PBES2 / PBKDF2 and PBES2 / scrypt (RFC 8018, RFC 7914), and the older PBE1 schemes (, ).
JcePKCSPBEOutputEncryptorBuilder JCA-based builder for an OutputEncryptor that applies one of the password-based encryption schemes used to protect PKCS#8 / PKCS#12 payloads: the legacy PKCS#12 family (RFC 7292 Appendix C) — selected when the constructor is passed one of those OIDs, PBES2 (RFC 8018) — selected for any other key-encryption algorithm; the embedded key-derivation function may be PBKDF2 or scrypt (RFC 7914) via an explicit PBKDFConfig.
 

Package org.bouncycastle.pkcs.jcajce Description

JCA extensions and operators for the PKCS#10 certification request package.


Bouncy Castle Cryptography Library 1.85